panama.h File Reference

Classes for Panama hash and stream cipher. More...

Go to the source code of this file.

## Classes

class | Panama< B >
class | Weak::PanamaHash< B >
| Panama hash. More...
class | HermeticHashFunctionMAC< T_Hash, T_Info >
| MAC construction using a hermetic hash function. More...
class | Weak::PanamaMAC< B >
| Panama message authentication code. More...
struct | PanamaCipherInfo< B >
| Panama stream cipher information. More...
class | PanamaCipherPolicy< B >
| Panama stream cipher operation. More...
struct | PanamaCipher< B >
| Panama stream cipher. More...

## Namespaces

| Weak
| Namespace containing weak and wounded algorithms.

## Macros

#define | CRYPTOPP_DISABLE_PANAMA_ASM 1

## Detailed Description

Classes for Panama hash and stream cipher.

Definition in file panama.h.